groovy.ui.text

## Class StructuredSyntaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - groovy.ui.text.StructuredSyntaxHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class StructuredSyntaxHandler
    extends DefaultHandler

Author:
  Evan "Hippy" Slatis

### Field Summary

Fields
`static String` `ALIGN_CENTER`
`static String` `ALIGN_JUSTIFIED`
`static String` `ALIGN_LEFT`
`static String` `ALIGN_RIGHT`
`static String` `ALIGNMENT`
`static String` `BACKGROUND`
`static String` `BIDI_LEVEL`
`static String` `BOLD`
`static String` `COMPONENT_ATTRIBUTE`
`static String` `COMPONENT_ELEMENT_NAME`
`static String` `COMPOSED_TEXT_ATTRIBUTE`
`static String` `FIRST_LINE_INDENT`
`static String` `FONT_FAMILY`
`static String` `FONT_SIZE`
`static String` `FOREGROUND`
`static String` `ICON_ATTRIBUTE`
`static String` `ICON_ELEMENT_NAME`
`static String` `ITALIC`
`static String` `LEFT_INDENT`
`static String` `LINE_SPACING`
`static String` `MODEL_ATTRIBUTE`
`static String` `NAME_ATTRIBUTE`
`static String` `ORIENTATION`
`static String` `REGEXP`
`static String` `RESOLVE_ATTRIBUTE`
`static String` `RIGHT_INDENT`
`static String` `SPACE_ABOVE`
`static String` `SPACE_BELOW`
`static String` `STRIKE_THROUGH`
`static String` `STYLE`
`static String` `SUBSCRIPT`
`static String` `SUPERSCRIPT`
`static String` `TAB_SET`
`static String` `UNDERLINE`

### Constructor Summary

Constructors
Constructor and Description
`StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

### Method Summary

Methods
`void` `characters(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement(String uri, String localName, String qName)`
`void` `error(SAXParseException e)`
`void` `startDocument()`
`void` `startElement(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REGEXP

    public static final String REGEXP

See Also:
  Constant Field Values

#### STYLE

    public static final String STYLE

See Also:
  Constant Field Values

#### ALIGN_CENTER

    public static final String ALIGN_CENTER

See Also:
  Constant Field Values

#### ALIGN_JUSTIFIED

    public static final String ALIGN_JUSTIFIED

See Also:
  Constant Field Values

#### ALIGN_LEFT

    public static final String ALIGN_LEFT

See Also:
  Constant Field Values

#### ALIGN_RIGHT

    public static final String ALIGN_RIGHT

See Also:
  Constant Field Values

#### ALIGNMENT

    public static final String ALIGNMENT

See Also:
  Constant Field Values

#### BACKGROUND

    public static final String BACKGROUND

See Also:
  Constant Field Values

#### BIDI_LEVEL

    public static final String BIDI_LEVEL

See Also:
  Constant Field Values

#### BOLD

    public static final String BOLD

See Also:
  Constant Field Values

#### COMPONENT_ATTRIBUTE

    public static final String COMPONENT_ATTRIBUTE

See Also:
  Constant Field Values

#### COMPONENT_ELEMENT_NAME

    public static final String COMPONENT_ELEMENT_NAME

See Also:
  Constant Field Values

#### COMPOSED_TEXT_ATTRIBUTE

    public static final String COMPOSED_TEXT_ATTRIBUTE

See Also:
  Constant Field Values

#### FIRST_LINE_INDENT

    public static final String FIRST_LINE_INDENT

See Also:
  Constant Field Values

#### FONT_FAMILY

    public static final String FONT_FAMILY

See Also:
  Constant Field Values

#### FONT_SIZE

    public static final String FONT_SIZE

See Also:
  Constant Field Values

#### FOREGROUND

    public static final String FOREGROUND

See Also:
  Constant Field Values

#### ICON_ATTRIBUTE

    public static final String ICON_ATTRIBUTE

See Also:
  Constant Field Values

#### ICON_ELEMENT_NAME

    public static final String ICON_ELEMENT_NAME

See Also:
  Constant Field Values

#### ITALIC

    public static final String ITALIC

See Also:
  Constant Field Values

#### LEFT_INDENT

    public static final String LEFT_INDENT

See Also:
  Constant Field Values

#### LINE_SPACING

    public static final String LINE_SPACING

See Also:
  Constant Field Values

#### MODEL_ATTRIBUTE

    public static final String MODEL_ATTRIBUTE

See Also:
  Constant Field Values

#### NAME_ATTRIBUTE

    public static final String NAME_ATTRIBUTE

See Also:
  Constant Field Values

#### ORIENTATION

    public static final String ORIENTATION

See Also:
  Constant Field Values

#### RESOLVE_ATTRIBUTE

    public static final String RESOLVE_ATTRIBUTE

See Also:
  Constant Field Values

#### RIGHT_INDENT

    public static final String RIGHT_INDENT

See Also:
  Constant Field Values

#### SPACE_ABOVE

    public static final String SPACE_ABOVE

See Also:
  Constant Field Values

#### SPACE_BELOW

    public static final String SPACE_BELOW

See Also:
  Constant Field Values

#### STRIKE_THROUGH

    public static final String STRIKE_THROUGH

See Also:
  Constant Field Values

#### SUBSCRIPT

    public static final String SUBSCRIPT

See Also:
  Constant Field Values

#### SUPERSCRIPT

    public static final String SUPERSCRIPT

See Also:
  Constant Field Values

#### TAB_SET

    public static final String TAB_SET

See Also:
  Constant Field Values

#### UNDERLINE

    public static final String UNDERLINE

See Also:
  Constant Field Values

### Constructor Detail

#### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

Creates a new instance of MasterFrameHandler

Parameters:
  `filter` -

### Method Detail

#### characters

    public void characters(char[] ch,
                  int start,
                  int length)

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Parameters:
  `ch` -
  `start` -
  `length` -

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement(String uri,
                  String localName,
                  String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Parameters:
  `uri` -
  `localName` -
  `qName` -
Throws:
  `SAXException`

#### error

    public void error(SAXParseException e)
               throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`
Parameters:
  `e` -
Throws:
  `SAXException`

#### startDocument

    public void startDocument()
                       throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement(String uri,
                    String localName,
                    String qName,
                    Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Parameters:
  `uri` -
  `localName` -
  `qName` -
  `attributes` -
Throws:
  `SAXException`